# DelaunayTest::DelaunayTestLogic Class Reference

It handles all the logic of the test. It has the sites and the triangulation. Its called by Runner, which act as a controller between Logic and Render. More...

`#include <DelaunayTestLogic.h>`

List of all members.

## Public Member Functions
| DelaunayTestLogic (void)
| Constructor.
| ~DelaunayTestLogic (void)
| Destructor.
void | Triangulate (void)
| Triangulates the sites.
void | Reset (void)
| Resets both sites and triangulation.
void | AddSites (void)
| Adds fixed number of sites if its not yet triangulated.
void | RemoveSites (void)
| Removes fixed number of sites if its not yet triangulated.
void | EnableCircles (void)
| Enables/disables showing of circles.
const std::vector< Point > & | GetPoints (void) const
| Gets the sites of the triangulation.
const std::vector< Line > & | GetLines (void) const
| Gets the edges of the triangulation.
const std::vector< Circle > & | GetCircles (void) const
| Gets the circles that check correctness of delaunay triangulation.
bool | IsCirclesEnabled (void)
| Check if show circles is enabled.
bool | IsTriangulated (void)
| Check if it is triangulated.

## Detailed Description

It handles all the logic of the test. It has the sites and the triangulation. Its called by Runner, which act as a controller between Logic and Render.

## Member Function Documentation

void DelaunayTestLogic::EnableCircles | ( | void |  | ) |

Enables/disables showing of circles.

Note:
  Probably this needs to be on gui side

const std::vector< Line > & DelaunayTestLogic::GetLines | ( | void |  | ) | const

Gets the edges of the triangulation.

Returns:
  array of edges

const std::vector< Point > & DelaunayTestLogic::GetPoints | ( | void |  | ) | const

Gets the sites of the triangulation.

Returns:
  array of sites

bool DelaunayTestLogic::IsCirclesEnabled | ( | void |  | ) |

Check if show circles is enabled.

Returns:
  true if enabled, false otherwise

bool DelaunayTestLogic::IsTriangulated | ( | void |  | ) |

Check if it is triangulated.

Returns:
  true if its triangulated, false otherwise

void DelaunayTestLogic::Reset | ( | void |  | ) |

Resets both sites and triangulation.

Clear all the geometry

Randomize the points

The documentation for this class was generated from the following files:

- src/tests/2dRender/DelaunayTestLogic.h
- src/tests/2dRender/DelaunayTestLogic.cpp